GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/remote-fileio.h File Reference
`#include "fileio.h"`

Go to the source code of this file.

## Functions
void | remote_fileio_request (char *buf, int ctrlc_pending_p)
void | remote_fileio_reset (void)
void | initialize_remote_fileio (struct cmd_list_element *remote_set_cmdlist, struct cmd_list_element *remote_show_cmdlist)
void | remote_fileio_to_host_stat (struct fio_stat *fst, struct stat *st)

## Function Documentation

## ◆ initialize_remote_fileio()

void initialize_remote_fileio | ( | struct cmd_list_element * | remote_set_cmdlist,
|  | struct cmd_list_element * | remote_show_cmdlist
| ) |  |

Definition at line 1297 of file remote-fileio.c.

References _, add_cmd(), no_class, remote_set_cmdlist, remote_show_cmdlist, set_system_call_allowed(), and show_system_call_allowed().

Referenced by _initialize_remote().

## ◆ remote_fileio_request()

void remote_fileio_request | ( | char * | buf,
|  | int | ctrlc_pending_p
| ) |  |

Definition at line 1170 of file remote-fileio.c.

References CATCH, do_remote_fileio_request(), END_CATCH, quit_handler, remote_fileio_o_quit_handler, remote_fileio_reply(), RETURN_MASK_ALL, RETURN_QUIT, set_quit_flag(), and TRY.

Referenced by remote_wait_as().

## ◆ remote_fileio_reset()

void remote_fileio_reset | ( | void |  | ) |

Definition at line 1146 of file remote-fileio.c.

References remote_fio_data, and xfree().

Referenced by extended_remote_restart(), and remote_open_1().

## ◆ remote_fileio_to_host_stat()

void remote_fileio_to_host_stat | ( | struct fio_stat * | fst,
|  | struct stat * | st
| ) |  |

Definition at line 1245 of file remote-fileio.c.

References memset(), remote_fileio_to_host_mode(), remote_fileio_to_host_time(), remote_fileio_to_host_uint(), and remote_fileio_to_host_ulong().

Referenced by remote_hostio_fstat().